%define		_class		HTML
%define		_subclass	QuickForm
%define		upstream_name	%{_class}_%{_subclass}_advmultiselect

Name:		php-pear-%{upstream_name}
Version:	1.5.1
Release:	%mkrel 11
Summary:	Element for HTML_QuickForm that emulate a multi-select
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTML_QuickForm_advmultiselect/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Element for HTML_QuickForm that emulate a multi-select.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/{examples,ChangeLog}
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.5.1-11.mga8
+ Revision: 1498915
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.5.1-10.mga7
+ Revision: 1273220
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.5.1-9.mga6
+ Revision: 964595
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.5.1-8.mga6
+ Revision: 964494
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-7.mga5
+ Revision: 745619
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-6.mga5
+ Revision: 687280
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.1-5.mga4
+ Revision: 516801
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.1-4.mga3
+ Revision: 376250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1.5.1-3.mga1
+ Revision: 47464
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_QuickForm_advmultiselect


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-3mdv2011.0
+ Revision: 613678
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdv2010.1
+ Revision: 477872
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-1mdv2010.0
+ Revision: 383552
- update to new version 1.5.1

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2009.1
+ Revision: 360150
- new version 1.5.0

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-2mdv2009.1
+ Revision: 322119
- rebuild

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdv2009.0
+ Revision: 278919
- update to new version 1.4.1

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-2mdv2009.0
+ Revision: 236878
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdv2008.0
+ Revision: 53922
- Import php-pear-HTML_QuickForm_advmultiselect



* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdv2008.0
- initial Mandriva package
